Stato coda
Guida all'integrazione dell'app mobile
Stato coda
Recupera lo stato attuale di un singolo elemento della coda in uscita.
Parametri di query
| Campo | Tipo | Descrizione | |
|---|---|---|---|
| id | integer | obbligatorio | ID messaggio in coda. |
Esempio di richiesta
cURL
curl "https://api.rcszilla.com/?endpoint=queue_status&id=101" \ -H "Authorization: Bearer YOUR-DEVICE-TOKEN"
Risposta
JSON200 OK
{
"success": true,
"id": "101",
"status": "delivered",
"sent_at": "2026-04-29 10:01:45",
"failed_reason": null
}
Status Values
| Status | Descrizione |
|---|---|
| pending | Waiting to be picked up by a device. |
| processing | Claimed by a device, currently being sent. |
| sent | Handed off to the carrier. |
| delivered | Carrier delivery confirmation received. |
| failed | Send failed. Check failed_reason. |
| cancelled | Cancelled by the user via the web panel. |